Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.accessibility
Class StructureTreeBuilder

    java.lang.Object
      org.apache.fop.accessibility.StructureTreeBuilder

public final class StructureTreeBuilder
extends java.lang.Object

Helper class that re-builds a structure tree from what is stored in an intermediate XML file (IF XML or Area Tree XML).

Constructor Summary
`StructureTreeBuilder(javax.xml.transform.sax.SAXTransformerFactory factory)` Creates a new instance.

Method Summary
`org.xml.sax.ContentHandler` | `getHandlerForNextPageSequence()` Returns a ContenHandler for parsing the structure of a new page sequence.
`StructureTree` | `getStructureTree()` Returns the structure tree that will result from the parsing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructureTreeBuilder

    public StructureTreeBuilder(javax.xml.transform.sax.SAXTransformerFactory factory)

  Creates a new instance.

Parameters:
  `factory` - a factory internally used to build the structures of page sequences

Method Detail

### getStructureTree

    public StructureTree getStructureTree()

  Returns the structure tree that will result from the parsing.

  Returns:
    the structure tree built by this object

### getHandlerForNextPageSequence

    public org.xml.sax.ContentHandler getHandlerForNextPageSequence()
                                                             throws org.xml.sax.SAXException

  Returns a ContenHandler for parsing the structure of a new page sequence. It is assumed that page sequences are being parsed in the document order.

  Returns:
    a handler for parsing the <structure-tree> or <structureTree> element and its descendants
  Throws:
    `org.xml.sax.SAXException` - if there is an error when creating the handler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.